Subject: QBR for 2001
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 1 May 2001 15:20:00 -0700 (PDT)

Further to our conversations, I would like to meet with you guys to discuss Q1. Specifically, I would like Stephanie and Kim to provide for me a list of your Q1 activities, achievments, actions items and then summarize your plans for Q2 and rest of year. 

Let's do this as a group first, and then if anyone wants to talk directly about specific commercial issues then we can do so on a one off basis. 

I have asked Jessica  to book 2 hours( video conference room )  for next tues. May 8. 

Pls advise if there are any questions. 

BT